## kiki-the-nano-bot 1.0.2+dfsg1

=== linux/Makefile ===
#
# kiki makefile for linux
#
#
# you might have to change these to match your system
#

X11_INCLUDES = -I /usr/X11/include/
PYTHON_VERSION=2.3
PYTHON_INCLUDES = -I /usr/include/python$(PYTHON_VERSION)

SDLCFLAGS = $(shell sdl-config --cflags)
SDLLIBS = $(shell sdl-config --libs) -lSDL_image -lSDL_mixer

GLLIBS = -lglut -lGLU -lGL

PYTHONHOME = /usr/lib/python$(PYTHON_VERSION)/
PYTHONLIBS = $(PYTHONHOME)/config/libpython$(PYTHON_VERSION).a -lutil \
             $(PYTHONHOME)/lib-dynload/math.so \
	     $(PYTHONHOME)/lib-dynload/time.so \
	     $(PYTHONHOME)/lib-dynload/_random.so

# change this, if the kodilib directory isn't parallel to the kiki directory

KODILIBDIR = ../kodilib

#
# the following should be ok on most machines
#
# please let me know, if you had a hard time compiling kiki (monsterkodi@gmx.net)
#

KODILIB = $(KODILIBDIR)/linux/libkodi.a

KODILIBINC =	-I $(KODILIBDIR)/src/handler \
		-I $(KODILIBDIR)/src/tools   \
		-I $(KODILIBDIR)/src/types   \
		-I $(KODILIBDIR)/src/widgets \
		-I $(KODILIBDIR)/src/windows

KIKISRC = ../src

KIKI_INCLUDES = -I ../SWIG $(KODILIBINC) \
	-I $(KIKISRC)/base -I $(KIKISRC)/bots -I $(KIKISRC)/gui -I $(KIKISRC)/items \
	-I $(KIKISRC)/main -I $(KIKISRC)/sound -I $(KIKISRC)/world \

INCLUDES = $(KIKI_INCLUDES) $(X11_INCLUDES) $(PYTHON_INCLUDES)

CXXFLAGS = $(INCLUDES) $(SDLCFLAGS)

src =  \
	$(KIKISRC)/base/KikiAction.cpp \
	$(KIKISRC)/base/KikiActionObject.cpp \
	$(KIKISRC)/base/KikiEvent.cpp \
	$(KIKISRC)/base/KikiFace.cpp \
	$(KIKISRC)/base/KikiObject.cpp \
	$(KIKISRC)/base/KikiPyAction.cpp \
	$(KIKISRC)/base/KikiTools.cpp \
	$(KIKISRC)/bots/KikiBot.cpp \
	$(KIKISRC)/bots/KikiBotFume.cpp \
	$(KIKISRC)/bots/KikiMutant.cpp \
	$(KIKISRC)/bots/KikiPlayback.cpp \
	$(KIKISRC)/bots/KikiPlayer.cpp \
	$(KIKISRC)/bots/KikiRecorder.cpp \
	$(KIKISRC)/bots/KikiStatusDisplay.cpp \
	$(KIKISRC)/gui/KikiCharacter.cpp \
	$(KIKISRC)/gui/KikiColumnMenu.cpp \
	$(KIKISRC)/gui/KikiGUI.cpp \
	$(KIKISRC)/gui/KikiMenu.cpp \
	$(KIKISRC)/gui/KikiPageText.cpp \
	$(KIKISRC)/gui/KikiScreenText.cpp \
	$(KIKISRC)/gui/KikiScrollMenu.cpp \
	$(KIKISRC)/gui/KikiText.cpp \
	$(KIKISRC)/gui/KikiTextLine.cpp \
	$(KIKISRC)/items/KikiAtom.cpp \
	$(KIKISRC)/items/KikiBillBoard.cpp \
	$(KIKISRC)/items/KikiBomb.cpp \
	$(KIKISRC)/items/KikiBullet.cpp \
	$(KIKISRC)/items/KikiCellText.cpp \
	$(KIKISRC)/items/KikiGate.cpp \
	$(KIKISRC)/items/KikiGear.cpp \
	$(KIKISRC)/items/KikiGenerator.cpp \
	$(KIKISRC)/items/KikiLight.cpp \
	$(KIKISRC)/items/KikiMotorCylinder.cpp \
	$(KIKISRC)/items/KikiMotorGear.cpp \
	$(KIKISRC)/items/KikiNeutron.cpp \
	$(KIKISRC)/items/KikiPushable.cpp \
	$(KIKISRC)/items/KikiSpikes.cpp \
	$(KIKISRC)/items/KikiStone.cpp \
	$(KIKISRC)/items/KikiSwitch.cpp \
	$(KIKISRC)/items/KikiTest.cpp \
	$(KIKISRC)/items/KikiValve.cpp \
	$(KIKISRC)/items/KikiWall.cpp \
	$(KIKISRC)/items/KikiWire.cpp \
	$(KIKISRC)/items/KikiWireStone.cpp \
	$(KIKISRC)/main/KikiController.cpp \
	$(KIKISRC)/main/main.cpp \
	$(KIKISRC)/sound/KikiSound.cpp \
	$(KIKISRC)/world/KikiCell.cpp \
	$(KIKISRC)/world/KikiWorld.cpp \
	$(KIKISRC)/main/KikiPythonWidget.cpp \
	$(KIKISRC)/main/KikiPython.cpp \
	$(KIKISRC)/../SWIG/KikiPy_wrap.cpp

obj = $(src:.cpp=.o)

kiki: $(KIKISRC)/../SWIG/KikiPy_wrap.cpp $(obj)
	-(cd ../SWIG; swig -c++ -python -globals kiki -o KikiPy_wrap.cpp KikiPy.i; cp kiki.py ../py)
	$(CXX) $(obj) $(KODILIB) -o kiki $(GLLIBS) $(SDLLIBS) $(PYTHONLIBS)

obj-clean:
	$(RM) -f $(obj)

clean:
	$(RM) -f $(obj) kiki

%.o:    %.cpp
	$(CXX) -c $(CXXFLAGS) -o $@ $<

=== kodilib/linux/Makefile ===
#
# kodilib for linux
#
#
# you might have to change these to match your system
#

X11_INCLUDES = -I /usr/X11/include
SDL_INCLUDES = -I /usr/include/SDL
SDL_CFLAGS = -D_REENTRANT

#
# the following should be ok on most machines
#
# please let me know, if you had a hard time compiling kodilib (monsterkodi@gmx.net)
#

KODISRCDIR = ../src

KODI_INCLUDES = -I $(KODISRCDIR)/handler -I $(KODISRCDIR)/tools -I $(KODISRCDIR)/types -I $(KODISRCDIR)/widgets -I $(KODISRCDIR)/windows

INCLUDES = $(KODI_INCLUDES) $(X11_INCLUDES) $(SDL_INCLUDES)

CXXFLAGS = $(INCLUDES) $(SDL_CFLAGS)

src =  \
	$(KODISRCDIR)/handler/KEventHandler.cpp \
	$(KODISRCDIR)/handler/KFileHandler.cpp \
	$(KODISRCDIR)/handler/KKeyActionHandler.cpp \
	$(KODISRCDIR)/handler/KKeyHandler.cpp \
	$(KODISRCDIR)/handler/KKeyRecorder.cpp \
	$(KODISRCDIR)/handler/KPickable.cpp \
	$(KODISRCDIR)/handler/KPickHandler.cpp \
	$(KODISRCDIR)/handler/KSelectable.cpp \
	$(KODISRCDIR)/handler/KSelectionHandler.cpp \
	$(KODISRCDIR)/tools/KDisplayTools.cpp \
	$(KODISRCDIR)/tools/KFileTools.cpp \
	$(KODISRCDIR)/tools/KIntrospection.cpp \
	$(KODISRCDIR)/tools/KKeyTools.cpp \
	$(KODISRCDIR)/tools/KNotificationObject.cpp \
	$(KODISRCDIR)/tools/KStringTools.cpp \
	$(KODISRCDIR)/tools/KXMLTools.cpp \
	$(KODISRCDIR)/types/KKey.cpp \
	$(KODISRCDIR)/types/KLight.cpp \
	$(KODISRCDIR)/types/KLightingProjection.cpp \
	$(KODISRCDIR)/types/KMatrix.cpp \
	$(KODISRCDIR)/types/KOrthographicProjection.cpp \
	$(KODISRCDIR)/types/KPerspectiveProjection.cpp \
	$(KODISRCDIR)/types/KProjection.cpp \
	$(KODISRCDIR)/types/KQuaternion.cpp \
	$(KODISRCDIR)/types/KSeparatedMatrix.cpp \
	$(KODISRCDIR)/types/KTexture.cpp \
	$(KODISRCDIR)/types/KTrash.cpp \
	$(KODISRCDIR)/widgets/KButton.cpp \
	$(KODISRCDIR)/widgets/KButtonBox.cpp \
	$(KODISRCDIR)/widgets/KFileNameField.cpp \
	$(KODISRCDIR)/widgets/KFileTreeFile.cpp \
	$(KODISRCDIR)/widgets/KFileTreeDir.cpp \
	$(KODISRCDIR)/widgets/KFileTreeDirCurrent.cpp \
	$(KODISRCDIR)/widgets/KFileTreeDirUp.cpp \
	$(KODISRCDIR)/widgets/KFileTreeNode.cpp \
	$(KODISRCDIR)/widgets/KFileTreeWidget.cpp \
	$(KODISRCDIR)/widgets/KIconButton.cpp \
	$(KODISRCDIR)/widgets/KKeySequenceField.cpp \
	$(KODISRCDIR)/widgets/KLabel.cpp \
	$(KODISRCDIR)/widgets/KMenu.cpp \
	$(KODISRCDIR)/widgets/KMenuItem.cpp \
	$(KODISRCDIR)/widgets/KNumberField.cpp \
	$(KODISRCDIR)/widgets/KProjectionWidget.cpp \
	$(KODISRCDIR)/widgets/KScrollBar.cpp \
	$(KODISRCDIR)/widgets/KSliderButton.cpp \
	$(KODISRCDIR)/widgets/KStatusMenuItem.cpp \
	$(KODISRCDIR)/widgets/KSubMenuItem.cpp \
	$(KODISRCDIR)/widgets/KTextField.cpp \
	$(KODISRCDIR)/widgets/KTextWidget.cpp \
	$(KODISRCDIR)/widgets/KToggleButton.cpp \
	$(KODISRCDIR)/widgets/KWidget.cpp \
	$(KODISRCDIR)/widgets/KWidgetArray.cpp \
	$(KODISRCDIR)/windows/KConsole.cpp \
	$(KODISRCDIR)/windows/KFileTreeWindow.cpp \
	$(KODISRCDIR)/windows/KMenuWindow.cpp \
	$(KODISRCDIR)/windows/KMessagePanel.cpp \
	$(KODISRCDIR)/windows/KPopupMenu.cpp \
	$(KODISRCDIR)/windows/KWindow.cpp

obj = $(src:.cpp=.o)

libkodi.a: $(obj)
	$(AR) r $@ $(filter-out %.h, $^)

obj-clean:
	$(RM) -f $(obj)

clean:
	$(RM) -f $(obj) libkodi.a

%.o:    %.cpp
	$(CXX) -c $(CXXFLAGS) -o $@ $<

## kiki-the-nano-bot 1.0.2%2Bdfsg1

=== debian/control ===
Source: kiki-the-nano-bot
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Peter De Wachter <pdewacht@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 freeglut3-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 python-dev,
 swig,
 vorbis-tools
Standards-Version: 3.9.6
Homepage: http://kiki.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/kiki-the-nano-bot/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/kiki-the-nano-bot/

Package: kiki-the-nano-bot
Architecture: any
Depends:
 kiki-the-nano-bot-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D puzzle game, mixing Sokoban and Kula-World
 Kiki the nano bot is a 3D puzzle game, a mixture of Sokoban and Kula-World.
 Your task is to help Kiki, a small robot living in the nano world, repair
 its Maker.

Package: kiki-the-nano-bot-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 kiki-the-nano-bot
Description: Kiki the nano bot - game data
 Kiki the nano bot is a 3D puzzle game, a mixture of Sokoban and Kula-World.
 Your task is to help Kiki, a small robot living in the nano world, repair
 its Maker.
 .
 This package contains data files required by the game Kiki the nano bot.

## kiki-the-nano-bot 1.0.2+dfsg1

=== debian/changelog ===
kiki-the-nano-bot (1.0.2+dfsg1-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:04 +0000

kiki-the-nano-bot (1.0.2+dfsg1-6) unstable; urgency=medium

  [ Peter De Wachter ]
  * Fix miscompilation with SWIG 3.0. (Closes: #809317)
  * Pass --serial to oggenc to make package build reproducible.
    (Closes: #775994)
  * Declare compliance with Debian Policy 3.9.6.
  * wrap-and-sort -sa.
  * Vcs-Browser: Use https.
  * tumiki-fighters.desktop: Add keywords.
  * Drop README.source because source format 3.0 uses quilt by default.

  [ Markus Koschany ]
  * debian/control: kiki-the-nano-bot-data: Suggest kiki-the-nano-bot.

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 10 Jan 2016 13:27:48 +0100

kiki-the-nano-bot (1.0.2+dfsg1-5) unstable; urgency=low

  * Fixed FTBFS (incorrect python-config command) (Closes: #713274)
  * Add virtual-destructors.patch to fix undefined behavior
  * Packaging cleanups
    - Switch to source format 3
    - Use build-hardening flags
    - Switch to debhelper 9
  * Bumped Standards-Version to 3.9.4.

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 02 Jul 2013 00:01:32 +0200

kiki-the-nano-bot (1.0.2+dfsg1-4) unstable; urgency=low

  [ Peter De Wachter ]
  * Fixed FTBFS with newer gcc. (Closes: #625047)
    - Added patch: SWIG-KikiText.patch

  [ Evgeni Golov ]
  * Adjust descriptions, thanks lintian.

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 08 May 2011 21:11:32 +0200

kiki-the-nano-bot (1.0.2+dfsg1-3) unstable; urgency=low

  * Fixed typo in package description. (Closes: #503717)
  * Fixed FTBFS on kfreebsd-i386. Thanks to Petr Salinger. (Closes: #542802)
  * Bumped Standards-Version to 3.8.3. No changes needed.

 -- Peter De Wachter <pdewacht@gmail.com>  Sat, 22 Aug 2009 22:38:50 +0200

kiki-the-nano-bot (1.0.2+dfsg1-2) unstable; urgency=low

  * List vorbis-tools as Build-Depends instead of Build-Depends-Indep.
  * Fixed a crash that occured when using the level selection dialog
    before solving any levels. (Closes: #503389)

 -- Peter De Wachter <pdewacht@gmail.com>  Sat, 25 Oct 2008 15:52:17 +0200

kiki-the-nano-bot (1.0.2+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #384581)
  * Several patches applied, see individual patches in the source package for
    details.
  * Converted sound files to Ogg Vorbis for smaller download size.

 -- Peter De Wachter <pdewacht@gmail.com>  Mon, 25 Aug 2008 00:32:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kiki-the-nano-bot
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Peter De Wachter <pdewacht@gmail.com>
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
# 	Add here commands to compile the package.
	rm -f SWIG/KikiPy_wrap.cpp #force regeneration of SWIG bindings
	make -C kodilib/linux
	make -C linux \
		PYTHON_INCLUDES="$(shell python-config --includes)" \
		PYTHONLIBS="$(shell python-config --libs)"
	rm -f py/kiki.py
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	oggenc --serial 0 sound/*.wav
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp patch-stamp
# 	Add here commands to clean up after the build process.
	make -C linux clean
	make -C kodilib/linux clean
	rm -f py/kiki.py SWIG/kiki.py SWIG/KikiPy_wrap.cpp
	rm -f sound/*.ogg
	dh_clean


install: install-indep install-arch

install-indep: build
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_install -i

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	install linux/kiki debian/kiki-the-nano-bot/usr/games/kiki-the-nano-bot
	dh_install -a


binary: binary-indep binary-arch

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installman -a debian/kiki-the-nano-bot.6
#	python stuff meeded?
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


get-orig-source: VERSION=1.0.2

get-orig-source:
	dh_testdir
	dh_testroot
	wget http://switch.dl.sourceforge.net/sourceforge/kiki/kiki-$(VERSION)-src.tgz
	tar xfz kiki-$(VERSION)-src.tgz
	rm -f kiki/*.dll
	rm -rf kiki/py_crippled
	find kiki -type f -print0 | xargs -0 chmod -x
	rm -f ../kiki-the-nano-bot-$(VERSION)+dfsg1.orig.tar.gz
	tar cfz ../kiki-the-nano-bot-$(VERSION)+dfsg1.orig.tar.gz kiki/*
	rm -rf kiki kiki-$(VERSION)-src.tgz


.PHONY: build clean binary-indep binary-arch binary install patch get-orig-source

=== debian/watch ===
version=3

opts="dversionmangle=s/[+.]dfsg(.?\d+)?$//" \
http://sf.net/kiki/kiki-(.*)-src.tgz
